<app-card>
  <form [formGroup]="courseForm" class="course-edit">
    <div class="course-edit__input">
      <label for="name">Имя</label>
      <input id="name" name="name" type="text" formControlName="name">
    </div>
    <div class="course-edit__input">
      <label for="price">Цена РУБ</label>
      <input id="price" name="price" type="number" formControlName="price">
    </div>
    <div class="course-edit__input">
      <label for="icon">Ссылка на иконку</label>
      <input id="icon" name="icon" type="text" formControlName="icon">
    </div>
    <div class="course-edit__input-group" formArrayName="chips">
      <div class="course-edit__input" *ngFor="let chip of chips.controls; let i = index">
        <label>Метка {{ i + 1 }}</label>
        <input type="text" [formControlName]="i" (dblclick)="removeChip(i)">
      </div>
      <div class="course-edit__input-group-add">
        <button (click)="addChip()">Добавить</button>
      </div>
    </div>
    <div class="course-edit__actions" (click)="save()">
      <button>Сохранить</button>
    </div>
  </form>
</app-card>
